<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=+, initial-scale=1.0">
    <title>Entradas de texto</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" rel="stylesheet"
        crossorigin="anonymous">
    <link href="../../src/form/desplegable.css" rel="stylesheet" type="text/css">
</head>

<body>
    <!-- Lista -->
    <div class="container-fluid m-5">
        <div class="row">
            <div class="col-md-6 p-5">
                <h2>Lista</h2>
                <label for="etiqueta" class="label-govco">Etiqueta*</label>
                <div class="desplegable-govco" style="width:300px;" id="lista-desplegables">
                    <select>
                        <option disabled selected>Escoger</option>
                        <option value="1">Opción 1</option>
                        <option value="2">Opción 2</option>
                        <option value="3">Opción 3</option>
                        <option value="4">Opción 4</option>
                        <option value="5">Opción 5</option>
                        <option value="6">Opción 6</option>
                    </select>
                </div>
            </div>
            <div class="col-md-6 p-5">
                <h2>Filtro de búsqueda</h2>
                <label for="etiqueta" class="label-govco">Etiqueta*</label>
                <div class="desplegable-govco" style="width:300px;" id="lista-filtro-busqueda">
                    <select>
                        <option disabled selected>Escoger</option>
                        <option value="1">Opción 1</option>
                        <option value="2">Opción 2</option>
                        <option value="3">Opción 3</option>
                        <option value="4">Opción 4</option>
                        <option value="5">Opción 5</option>
                        <option value="6">Opción 6</option>
                    </select>
                </div>
            </div>
            <div class="col-md-6 p-5">
                <h2>Casillas de verificación</h2>
                <label for="etiqueta" class="label-govco">Etiqueta*</label>
                <div class="desplegable-govco" style="width:300px;" id="lista-casillas-verificacion">
                    <select>
                        <option disabled selected>Escoger</option>
                        <option value="1">Opción 1</option>
                        <option value="2">Opción 2</option>
                        <option value="3">Opción 3</option>
                        <option value="4">Opción 4</option>
                        <option value="5">Opción 5</option>
                        <option value="6">Opción 6</option>
                    </select>
                </div>
            </div>
            <div class="col-md-6 p-5">
                <h2>Calendario</h2>
                <label for="calendario-govco">
                  Etiqueta*
        
                </label>
                <div id="miCalendario" class="desplegable-calendar-govco desplegable-govco" style='width:300px'>
                  <div class="date desplegable-selected-option">
                    <input class="browser-default" type="text" placeholder="Escoger" id="calendario-govco" aria-autocomplete="off">
                  </div>
                  <div class="desplegable-calendar-control" role="dialog" aria-modal="true"
                    aria-labelledby="id-dialog-label">
                    <div class="header">
                      <button class="prev-decade d-none" aria-label="previous decade">
                        <span class="fas govco-chevron-left fa-lg"></span>
                      </button>
                      <button class="prev-year d-none" aria-label="previous year">
                        <span class="fas govco-chevron-left fa-lg"></span>
                      </button>
                      <button class="prev-month" aria-label="previous month">
                        <span class="fas govco-chevron-left fa-lg"></span>
                      </button>
                      <button class="show-months-year" aria-label="months year">
                        <h2 id="id-dialog-label" class="month-year" aria-live="polite">
                          Month Year
                        </h2>
                      </button>
                      <button class="next-month" aria-label="next month">
                        <span class="fas govco-chevron-right fa-lg"></span>
                      </button>
                      <button class="next-year d-none" aria-label="next year">
                        <span class="fas govco-chevron-right fa-lg"></span>
                      </button>
                      <button class="next-decade d-none" aria-label="next decade">
                        <span class="fas govco-chevron-right fa-lg"></span>
                      </button>
                    </div>
                    <table id="miCalendarioGrid" class="dates" role="grid" aria-labelledby="id-dialog-label">
                      <thead>
                        <tr>
                          <th scope="col" abbr="Domingo">
                            Do
                          </th>
                          <th scope="col" abbr="Lunes">
                            Lu
                          </th>
                          <th scope="col" abbr="Martes">
                            Ma
                          </th>
                          <th scope="col" abbr="Miércoles">
                            Mi
                          </th>
                          <th scope="col" abbr="Jueves">
                            Ju
                          </th>
                          <th scope="col" abbr="Viernes">
                            Vi
                          </th>
                          <th scope="col" abbr="Sábado">
                            Sá
                          </th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1" disabled="">
                              25
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1" disabled="">
                              26
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1" disabled="">
                              27
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1" disabled="">
                              28
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1" disabled="">
                              29
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1" disabled="">
                              30
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              1
                            </button>
                          </td>
                        </tr>
                        <tr>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              2
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              3
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              4
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              5
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              6
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              7
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              8
                            </button>
                          </td>
                        </tr>
                        <tr>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              9
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              10
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              11
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              12
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              13
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="0">
                              14
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              15
                            </button>
                          </td>
                        </tr>
                        <tr>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              16
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              17
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              18
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              19
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              20
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              21
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              22
                            </button>
                          </td>
                        </tr>
                        <tr>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              23
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              24
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              25
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              26
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              27
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              28
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              29
                            </button>
                          </td>
                        </tr>
                        <tr>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              30
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1">
                              31
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1" disabled="">
                              1
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1" disabled="">
                              2
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1" disabled="">
                              3
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1" disabled="">
                              4
                            </button>
                          </td>
                          <td class="date-cell">
                            <button class="date-button" tabindex="-1" disabled="">
                              5
                            </button>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                    <table id="myMonthpickerGrid" class="months d-none" role="grid" aria-labelledby="id-dialog-label">
                      <tbody>
                        <tr>
                          <td class="month-cell">
                            <button class="month-button" tabindex="-1" data-date="1">
                              Ene
                            </button>
                          </td>
                          <td class="month-cell">
                            <button class="month-button" tabindex="-1" data-date="2">
                              Feb
                            </button>
                          </td>
                          <td class="month-cell">
                            <button class="month-button" tabindex="-1" data-date="3">
                              Mar
                            </button>
                          </td>
                          <td class="month-cell">
                            <button class="month-button" tabindex="-1" data-date="4">
                              Abr
                            </button>
                          </td>
                        </tr>
                        <tr>
                          <td class="month-cell">
                            <button class="month-button" tabindex="-1" data-date="5">
                              May
                            </button>
                          </td>
                          <td class="month-cell">
                            <button class="month-button" tabindex="-1" data-date="6">
                              Jun
                            </button>
                          </td>
                          <td class="month-cell">
                            <button class="month-button" tabindex="-1" data-date="7">
                              Jul
                            </button>
                          </td>
                          <td class="month-cell">
                            <button class="month-button" tabindex="-1" data-date="8">
                              Ago
                            </button>
                          </td>
                        </tr>
                        <tr>
                          <td class="month-cell">
                            <button class="month-button" tabindex="-1" data-date="9">
                              Sep
                            </button>
                          </td>
                          <td class="month-cell">
                            <button class="month-button" tabindex="-1" data-date="10">
                              Oct
                            </button>
                          </td>
                          <td class="month-cell">
                            <button class="month-button" tabindex="-1" data-date="11">
                              Nov
                            </button>
                          </td>
                          <td class="month-cell">
                            <button class="month-button" tabindex="-1" data-date="12">
                              Dic
                            </button>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                    <table id="myYearpickerGrid" class="years d-none" role="grid" aria-labelledby="id-dialog-label">
                      <tbody>
                        <tr>
                          <td class="year-cell">
                            <button class="year-button" tabindex="-1" data-date="2015">
                              2015
                            </button>
                          </td>
                          <td class="year-cell">
                            <button class="year-button" tabindex="-1" data-date="2016">
                              2016
                            </button>
                          </td>
                          <td class="year-cell">
                            <button class="year-button" tabindex="-1" data-date="2017">
                              2017
                            </button>
                          </td>
                          <td class="year-cell">
                            <button class="year-button" tabindex="-1" data-date="2018">
                              2018
                            </button>
                          </td>
                        </tr>
                        <tr>
                          <td class="year-cell">
                            <button class="year-button" tabindex="-1" data-date="2019">
                              2019
                            </button>
                          </td>
                          <td class="year-cell">
                            <button class="year-button" tabindex="-1" data-date="2020">
                              2020
                            </button>
                          </td>
                          <td class="year-cell">
                            <button class="year-button" tabindex="-1" data-date="2021">
                              2021
                            </button>
                          </td>
                          <td class="year-cell">
                            <button class="year-button" tabindex="-1" data-date="2022">
                              2022
                            </button>
                          </td>
                        </tr>
                        <tr>
                          <td class="year-cell">
                            <button class="year-button" tabindex="-1" data-date="2023">
                              2023
                            </button>
                          </td>
                          <td class="year-cell">
                            <button class="year-button" tabindex="-1" data-date="2024">
                              2024
                            </button>
                          </td>
                          <td class="year-cell">
                            <button class="year-button" tabindex="-1" data-date="2025">
                              2025
                            </button>
                          </td>
                          <td class="year-cell">
                            <button class="year-button" tabindex="-1" data-date="2026">
                              2026
                            </button>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
            </div>
        </div>
    </div>
    <script src="../../src/form/desplegable.js"></script>
</body>

</html>